classification
Title: Improve cross-references in builtins documentation.
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, georg.brandl, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-10-07 20:40 by serhiy.storchaka, last changed 2013-10-09 11:12 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
refs.builtins.patch serhiy.storchaka, 2013-10-07 21:22 review
refs.builtins_2.patch serhiy.storchaka, 2013-10-08 08:55 review
refs.builtins_3.patch serhiy.storchaka, 2013-10-09 07:15 review
Messages (6)
msg199163 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-10-07 20:40
Here is a patch which fixes internal references for in the documentation of builtins.
msg199172 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-10-08 05:41
Why the need for these changes -- the references I checked are working fine as is.
msg199182 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-10-08 08:55
Indeed, there are false changes. Thank you Georg.

Here is cleaned patch.
msg199276 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-10-09 07:15
Updated patch addresses more Georg's comments.
msg199284 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-10-09 11:04
New changeset 7565df5939de by Serhiy Storchaka in branch '2.7':
Issue #19190: Improve cross-references in builtin types and functions documentation.
http://hg.python.org/cpython/rev/7565df5939de

New changeset 207e1e1cb17a by Serhiy Storchaka in branch '3.3':
Issue #19190: Improve cross-references in builtin types and functions documentation.
http://hg.python.org/cpython/rev/207e1e1cb17a

New changeset a3f6e5920881 by Serhiy Storchaka in branch 'default':
Issue #19190: Improve cross-references in builtin types and functions documentation.
http://hg.python.org/cpython/rev/a3f6e5920881
msg199287 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-10-09 11:12
Thank you for the review Georg.
History
Date User Action Args
2013-10-09 11:12:30serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg199287

stage: patch review -> resolved
2013-10-09 11:04:13python-devsetnosy: + python-dev
messages: + msg199284
2013-10-09 07:15:17serhiy.storchakasetfiles: + refs.builtins_3.patch

messages: + msg199276
2013-10-08 18:12:50serhiy.storchakalinkissue18758 dependencies
2013-10-08 08:55:54serhiy.storchakasetfiles: + refs.builtins_2.patch

messages: + msg199182
2013-10-08 05:41:02georg.brandlsetnosy: + georg.brandl
messages: + msg199172
2013-10-07 21:22:11serhiy.storchakasetfiles: + refs.builtins.patch
2013-10-07 21:20:07serhiy.storchakasetfiles: - refs.builtins.patch
2013-10-07 20:40:06serhiy.storchakacreate